Subject: bug#27250: [PATCH] gnu: crawl: Update to 0.20.0.

From: Leo Famulari <[email-masked]>
Date: Wed, 7 Jun 2017 15:20:17 -0400

On Wed, Jun 07, 2017 at 11:54:31PM +0530, Arun Isaac wrote:
> 
> > I ran the build 9 times trying to reproduce it, but every time all 29
> > tests succeeded. I'm building on x86_64 on GuixSD, using `./pre-inst-env
> > guix build crawl --rounds=9` on the commit I sent in last.
> 
> I must admit I am mystified. I hope I didn't mess up somehow while
> applying your patch. I will reapply your patch to a fresh branch and try
> again. Meanwhile, could you rebase against the latest master, and try
> building again? Maybe, a change to some other package breaks the crawl
> tests.

Another option is that the tests are affected by differences in the host
kernel or filesystem.